Package org.opensaml.soap.soap11

# Interface ActorBearing

All Known Subinterfaces:
  `ChannelBindings`, `EncryptedHeader`, `GeneratedKey`, `RelayState`, `Request`, `RequestAuthenticated`, `Response`, `SessionKey`, `SubjectConfirmation`

All Known Implementing Classes:
  `ChannelBindingsImpl`, `EncryptedHeaderImpl`, `GeneratedKeyImpl`, `RelayStateImpl`, `RequestAuthenticatedImpl`, `RequestImpl`, `ResponseImpl`, `SessionKeyImpl`, `SubjectConfirmationImpl`

public interface ActorBearing
Interface for element having a `@soap11:actor` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP11_ACTOR_ATTR_LOCAL_NAME`
The soap11:@actor attribute local name.
`static final QName`
`SOAP11_ACTOR_ATTR_NAME`
The soap11:@actor qualified attribute name.
`static final String`
`SOAP11_ACTOR_NEXT`
The specification-defined value 'http://schemas.xmlsoap.org/soap/actor/next'.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOAP11Actor()`
Get the attribute value.
`void`
`setSOAP11Actor(String newActor)`
Set the attribute value.

## Field Details

### SOAP11_ACTOR_ATTR_LOCAL_NAME

@Nonnull static final String SOAP11_ACTOR_ATTR_LOCAL_NAME
The soap11:@actor attribute local name.

See Also:
  - Constant Field Values

### SOAP11_ACTOR_ATTR_NAME

@Nonnull static final QName SOAP11_ACTOR_ATTR_NAME
The soap11:@actor qualified attribute name.

### SOAP11_ACTOR_NEXT

@Nonnull @NotEmpty static final String SOAP11_ACTOR_NEXT
The specification-defined value 'http://schemas.xmlsoap.org/soap/actor/next'.

See Also:
  - Constant Field Values

## Method Details

### getSOAP11Actor

@Nullable String getSOAP11Actor()
Get the attribute value.

Returns:
  return the attribute vlue

### setSOAP11Actor

void setSOAP11Actor(@Nullable String newActor)
Set the attribute value.

Parameters:
  `newActor` - the new attribute value